<?php
/**
 * This functions makes the theme compatible with WPML Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Helena Pro
 * @since Helena Pro 1.0
 */


if ( ! function_exists( 'helena_wpml_invalidcache' ) ) :
/**
 * Template for Clearing WPML Invalid Cache
 *
 * To override this in a child theme
 * simply create your own helena_wpml_invalidcache(), and that function will be used instead.
 *
 * @since Helena Pro 1.0
 */
function helena_wpml_invalidcache() {
	delete_transient( 'helena_header_highlight_content' );
	delete_transient( 'helena_featured_slider' );
	delete_transient( 'helena_hero_content' );
	delete_transient( 'helena_featured_content' );
	delete_transient( 'helena_portfolio' );
	delete_transient( 'helena_logo_slider' );
	delete_transient( 'helena_custom_css' );
	delete_transient( 'helena_promotion_headline' );
	delete_transient( 'all_the_cool_cats' );
	delete_transient( 'helena_footer_content' );
	delete_transient( 'helena_categories' );
	delete_transient( 'all_the_cool_cats' );
} // helena_wpml_invalidcache
endif;

add_action( 'after_setup_theme', 'helena_wpml_invalidcache' );
